TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Roots ( elt-alg^pol f ) -> seq()

### Optional Arguments

Al | string |  | "Combination" or "Laguerre" or "NewtonRaphson" or "Schonhage"
Digits | elt-ord^rat |  |
Max | elt-ord^rat |  |
IsSquarefree | elt-alg^boo |  |

### Description

<shortdoc> Given a univariate polynomial f over ring R, return the roots of f (lying in R) as a sequence. </shortdoc>

### Examples

x_f := (X^2-5)*(X-1)^7; # Note, that the coefficients are from Z. Roots(x_f); # Note, that the presented roots are only those from Z.

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack